$(document).ready(function() {
  $('body').bootstrapMaterialDesign();

  var height = ($(window).height() - ($('.legal').outerHeight() + $('.user-info').outerHeight() + $('.navbar').innerHeight()));

  $('#custom-slimscroll').slimScroll({
    height: height,
    size: '5px',
    color: 'rgba(0,0,0,0.5)',
    alwaysVisible: false,
    borderRadius: '0',
    railBorderRadius: '0'
  });

  $('#order-detail-slimscroll').slimScroll({
    height: height-$('#order-detail-slimscroll').attr('data-height'),
    size: '5px',
    color: 'rgba(0,0,0,0.5)',
    alwaysVisible: false,
    borderRadius: '0',
    railBorderRadius: '0'
  });

  $('.delete').click(function(){
    var method    = $(this).attr('data-method');
    var url       = $(this).attr('data-ref');
    var html_text = $(this).siblings( "#delete_text" ).html();
    //var page = url.substring(url.lastIndexOf('/') + 1);    
    swal({
        title: "Confirmation",
        text: html_text,
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        html: true
    }, function (isConfirm) {
        if (isConfirm) {
          $.ajax({
            type: method,
            url: url ,            
            success: function(data) {              
              location.href = data.url;
            }
         });          
        } else {
            swal("Cancelled", "Your imaginary file is safe :)", "error");
        }
    });
  });

  // for Notificaiotn message
  var placementFrom  = $("#notify_message").attr('data-placement-from');
  var placementAlign = $("#notify_message").attr('data-placement-align');
  var animateEnter   = $("#notify_message").attr('data-animate-enter');
  var animateExit    = $("#notify_message").attr('data-animate-exit');
  var colorName      = $("#notify_message").attr('data-color-name');
  var text           = $("#notify_message").attr('data-message');

  if (text != null || colorName != null){
     showNotification(colorName, text, placementFrom, placementAlign, animateEnter, animateExit); 
  }

  function showNotification(colorName, text, placementFrom, placementAlign, animateEnter, animateExit) {
    if (colorName === null || colorName === '') { colorName = 'bg-black'; }
    if (animateEnter === null || animateEnter === '') { animateEnter = 'animated fadeInDown'; }
    if (animateExit === null || animateExit === '') { animateExit = 'animated fadeOutUp'; }
    var allowDismiss = true;
    $.notify({
        message: text
    },
        {
            type: colorName,
            allow_dismiss: allowDismiss,
            newest_on_top: true,
            timer: 1000,
            placement: {
                from: placementFrom,
                align: placementAlign
            },
            animate: {
                enter: animateEnter,
                exit: animateExit
            },
            template: '<div data-notify="container" class="bootstrap-notify-container alert alert-dismissible {0} ' + (allowDismiss ? "p-r-30" : "") + '" role="alert">' +
            '<button type="button" aria-hidden="true" class="close float-right m-l-20 m-t--5" data-notify="dismiss">×</button>' +
            '<span data-notify="icon"></span> ' +
            '<span data-notify="title">{1}</span> ' +
            '<span data-notify="message">{2}</span>' +
            '<div class="progress" data-notify="progressbar">' +
            '<div class="progress-bar progress-bar-{0}" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>' +
            '</div>' +
            '<a href="{3}" target="{4}" data-notify="url"></a>' +
            '</div>'
        });
   }
  //end Notificaiotn message
});
